package ru.amse.timkina.archiver.ui.table.viewobjects;
import ru.amse.timkina.archiver.filetree.IFile;
import ru.amse.timkina.archiver.filetree.Directory;

public class NameView implements Comparable<NameView> {
	private final IFile myFile;
	
	public IFile getFile() {
		return myFile;
	}
	
	public NameView(IFile f) {
		myFile = f;
	}

	public String toString() {
		if (myFile.isDirectory()) {
			if (((Directory) myFile).getParent() == (Directory) myFile) {
				return "..";
			} else {
				return ">" + myFile.getShortName();
			}
		}
		return myFile.getShortName();
	}
	
	public int compareTo(NameView n) {
		if (!n.myFile.isDirectory()) {
			if (!myFile.isDirectory()) {
				return (myFile.getShortName().compareTo(n.myFile.getShortName()));
			} else {
				return -1;
			}
		} else {
			if (((Directory) n.myFile).getParent() == (Directory) n.myFile) {
				return 1;
			} else {
				if (myFile.isDirectory()) {
					if (((Directory) myFile).getParent() == (Directory) myFile) {
					    return -1;
				    } else {
					    return (myFile.getShortName().compareTo(n.myFile.getShortName()));
				    }
				} else {
					return 1;
				}				
			}
		}
	}
}