package ru.amse.timkina.archiver.ui.table.viewobjects;
import ru.amse.timkina.archiver.filetree.IFile;

public class SizeView implements Comparable<SizeView> {
	private final IFile myFile;
	private ISizeConverter mySc;
	
	public SizeView(IFile f, ISizeConverter sc) {
		myFile = f;
		mySc = sc;
	}	
	
	public String toString() {
		if (myFile.getName() == "..") {
			return "";
		}
		return mySc.sizeAnalyse(myFile.getSize());
	}
	
	public int compareTo(SizeView s) {
		if ((myFile.isDirectory()) && (!s.myFile.isDirectory())) {
			return -1;
		}
		if ((!myFile.isDirectory()) && (s.myFile.isDirectory())) {
			return 1;
		}
		Long i1 = new Long((int) myFile.getSize());
		Long i2 = new Long((int) s.myFile.getSize());
		return i1.compareTo(i2);
	}
}
