package ru.amse.timkina.archiver.ui.table.viewobjects;
import ru.amse.timkina.archiver.filetree.IFile;
import ru.amse.timkina.archiver.filetree.Directory;

import java.util.Calendar;
import java.text.DateFormat;

public class TimeView implements Comparable<TimeView> {
	private final IFile myFile;
	private final DateFormat myFormat;
	
	public TimeView(IFile f, DateFormat format) {
		myFile = f;
		myFormat = format;
	}
	
	public String toString() {
		if (myFile.getModificationTime() != null) {
			 return myFormat.format(myFile.getModificationTime().getTime());
		}
		return "";
	}
	
	public int compareTo(TimeView t) {
		if((myFile.isDirectory()) && (!t.myFile.isDirectory())) {
			if (((Directory) myFile).getParent() == (Directory) myFile) {
				return -1;
			}
			return 1;
		}
		if((!myFile.isDirectory()) && (t.myFile.isDirectory())) {
			if (((Directory) t.myFile).getParent() == (Directory) t.myFile) {
				return 1;
			}
			return -1;
		}
		Calendar c1 = myFile.getModificationTime();
		Calendar c2 = t.myFile.getModificationTime();
		if (c1 == null) {
			return -1;
		}
		if (c2 == null) {
			return 1;
		}
		return c1.compareTo(c2);
	}
}